%if 0%{?rhel} && 0%{?rhel} <= 6
%global __python2 %{_bindir}/python2
%global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")
%endif

# this is reverse logic.  those listed by bcond_with are disabled by default
%bcond_with tests
%bcond_with sphinxdocs
%bcond_with mysqlhotcopy
%bcond_with sqlite
%bcond_with tar
%bcond_without pgdump
%bcond_without xtrabackup
%bcond_without commvault

Name: holland
Version: 1.0.14
Release: 3%{?dist}
Summary: Pluggable Backup Framework
Group: Applications/Archiving
License: BSD
URL: http://hollandbackup.org
Source0: http://hollandbackup.org/releases/stable/1.0/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires: python2-devel
%if 0%{?fedora} >= 24
BuildRequires: python2-setuptools
%{?with_sphinxdocs:BuildRequires: python2-sphinx}
%else
BuildRequires: python-setuptools
%{?with_sphinxdocs:BuildRequires: python-sphinx}
%endif

%if 0%{?fedora} >= 24
Requires: python2-setuptools
%else
Requires: python-setuptools
%endif

%description
A pluggable backup framework which focuses on, but is not limited to, highly
configurable database backups.

%package common
Summary: Common library functionality for Holland Plugins
License: GPLv2
Group: Applications/Archiving
Requires: %{name} = %{version}-%{release}

%description common
Library for common functionality used by holland plugins

%package mysql
Summary: MySQL library functionality for Holland Plugins
License: GPLv2
Group: Applications/Archiving
Requires: %{name}-common = %{version}-%{release}
%if 0%{?fedora} >= 22
Requires: python2-mysql
%else
Requires: MySQL-python
%endif

%description mysql
Library for MySQL functionality used by holland plugins

%package mysqldump
Summary: Logical mysqldump backup plugin for Holland
License: GPLv2
Group: Development/Libraries
Requires: %{name}-mysql = %{version}-%{release}
Requires: /usr/bin/mysqldump

%description mysqldump
This plugin allows holland to perform logical backups of a MySQL database
using the mysqldump command.

%if %{with mysqlhotcopy}
%package mysqlhotcopy
Summary: Raw non-transactional backup plugin for Holland
License: GPLv2
Group: Development/Libraries
Requires: %{name}-mysql = %{version}-%{release}

%description mysqlhotcopy
This plugin allows holland to perform backups of MyISAM and other
non-transactional table types in MySQL by issuing a table lock and copying the
raw files from the data directory.
%endif

%package lvm
Summary: LVM library functionality for Holland Plugins
License: GPLv2
Group: Applications/Archiving
Requires: %{name} = %{version}-%{release}

%description lvm
Library for LVM functionality used by holland plugins

%package mysqllvm
Summary: Holland LVM snapshot backup plugin for MySQL
License: GPLv2
Group: Development/Libraries
Requires: %{name}-mysql = %{version}-%{release}
Requires: %{name}-lvm = %{version}-%{release}
Requires: lvm2 tar

%description mysqllvm
This plugin allows holland to perform LVM snapshot backups of a MySQL database
and to generate a tar archive of the raw data directory.

%if %{with pgdump}
%package pgdump
Summary: Holland Backup Provider for PostgreSQL
License: GPLv2
Group: Development/Libraries
Requires: %{name}-common = %{version}-%{release}
%if 0%{?fedora} >= 25
Requires: python2-psycopg2
%else
Requires: python-psycopg2
%endif

%description pgdump
This plugin allows holland to backup PostgreSQL databases via the pg_dump command.
%endif

%if %{with sqlite}
%package sqlite
Summary: SQLite Backup Provider Plugin for Holland
Group: Development/Libraries
Requires: %{name}-common = %{version}-%{release}

%description sqlite
SQLite Backup Provider Plugin for Holland
%endif

%if %{with xtrabackup}
%package xtrabackup
Summary: Holland plugin for Percona XtraBackup
License: GPLv2
Group: Development/Libraries
Requires: %{name}-common = %{version}-%{release}
%if 0%{?fedora} >= 21
Requires: percona-xtrabackup
%endif
%if 0%{?fedora} >= 22
Requires: python2-mysql
%else
Requires: MySQL-python
%endif

%description xtrabackup
This package provides a Holland plugin for Percona Xtrabackup. This
plugin requires Percona XtraBackup and runs the provided
/usr/bin/innobackupex script.
%endif

%if %{with tar}
%package tar
Summary: tar plugin for Holland
License: GPLv2
Group: Development/Libraries
Requires: %{name}-common = %{version}-%{release}
Requires: tar

%description tar
This package provides a Holland plugin for creating tar files
%endif

%if %{with commvault}
%package commvault
Summary: Holland plugin for Commvault
License: BSD
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: tar
Obsoletes: %{name}-commvault < 1.0.3-3

%description commvault
This package provides the holland Commvault command plugin, enabling Commvault
environments to trigger a backup through holland.
%endif

%prep
%setup -q

find -name setup.cfg -delete
mv plugins/README README.plugins
mv config/providers/README README.providers

# cleanup, will be removed upstream at some point
rm plugins/ACTIVE

%build
%{__python2} setup.py build

%if %{with sphinxdocs}
# docs
pushd docs
make html
rm -f build/html/.buildinfo
popd
%endif

# library : holland.lib.common
pushd plugins/holland.lib.common
%{__python2} setup.py build
popd

# library : holland.lib.mysql
pushd plugins/holland.lib.mysql
%{__python2} setup.py build
popd

# library: holland.lib.lvm
pushd plugins/holland.lib.lvm
%{__python2} setup.py build
popd

# plugin : holland.backup.mysqldump
pushd plugins/holland.backup.mysqldump
%{__python2} setup.py build
popd

%if %{with mysqlhotcopy}
# plugin : holland.backup.mysqlhotcopy
pushd plugins/holland.backup.mysqlhotcopy
%{__python2} setup.py build
popd
%endif

# plugin : holland.backup.mysql_lvm
pushd plugins/holland.backup.mysql_lvm
%{__python2} setup.py build
popd

%if %{with pgdump}
pushd plugins/holland.backup.pgdump
%{__python2} setup.py build
popd
%endif

%if %{with sqlite}
# plugin : holland.backup.sqlite
pushd plugins/holland.backup.sqlite
%{__python2} setup.py build
popd
%endif

%if %{with xtrabackup}
pushd plugins/holland.backup.xtrabackup
%{__python2} setup.py build
popd
%endif

%if %{with tar}
pushd plugins/holland.backup.tar
%{__python2} setup.py build
popd
%endif

%if %{with commvault}
pushd contrib/holland-commvault
sed -e "s/1\.0\.3/%{version}/" -i setup.py
%{__python2} setup.py build
popd
%endif

%install
rm -rf %{buildroot}

%{__mkdir} -p %{buildroot}%{_sysconfdir}/holland/{backupsets,providers} \
              %{buildroot}%{_localstatedir}/spool/holland \
              %{buildroot}%{_localstatedir}/log/holland/ \
              %{buildroot}%{_mandir}/man5

# holland-core
%{__python2} setup.py install -O1 --skip-build --root %{buildroot} --install-scripts %{_sbindir}
install -m 0640 config/holland.conf %{buildroot}%{_sysconfdir}/holland/
%{__mkdir_p} -p %{buildroot}%{_mandir}/man1
install -m 0644 docs/man/holland.1 %{buildroot}%{_mandir}/man1
%{__mkdir_p} %{buildroot}%{python2_sitelib}/holland/{lib,backup,commands,restore}

# library : holland.lib.common
pushd plugins/holland.lib.common
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
popd

# library : holland.lib.mysql
pushd plugins/holland.lib.mysql
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
popd

# library: holland.lib.lvm
pushd plugins/holland.lib.lvm
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
popd

# plugin : holland.backup.mysqldump
pushd plugins/holland.backup.mysqldump
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
popd
install -m 0640 config/providers/mysqldump.conf %{buildroot}%{_sysconfdir}/holland/providers/

%if %{with mysqlhotcopy}
# plugin : holland.backup.mysqlhotcopy
pushd plugins/holland.backup.mysqlhotcopy
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
install -c -m 0644 docs/man/holland-mysqlhotcopy.5 \
                   %{buildroot}%{_mandir}/man5
popd
install -m 0640 config/providers/mysqlhotcopy.conf %{buildroot}%{_sysconfdir}/holland/providers/
%endif

# plugin : holland.backup.mysql_lvm
pushd plugins/holland.backup.mysql_lvm
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
popd
install -m 0640 config/providers/mysql-lvm.conf %{buildroot}%{_sysconfdir}/holland/providers/
install -m 0640 config/providers/mysqldump-lvm.conf %{buildroot}%{_sysconfdir}/holland/providers/

# plugin : holland.backup.pgdump
%if %{with pgdump}
pushd plugins/holland.backup.pgdump
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
popd
install -m 0640 config/providers/pgdump.conf %{buildroot}%{_sysconfdir}/holland/providers/
%endif

%if %{with sqlite}
# plugin : holland.backup.sqlite
pushd plugins/holland.backup.sqlite
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
popd
install -m 0640 config/providers/sqlite.conf %{buildroot}%{_sysconfdir}/holland/providers/
%endif

%if %{with xtrabackup}
# plugin : holland.backup.xtrabackup
pushd plugins/holland.backup.xtrabackup
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
popd
install -m 0640 config/providers/xtrabackup.conf %{buildroot}%{_sysconfdir}/holland/providers/
%endif

%if %{with tar}
# plugin : holland.backup.tar
pushd plugins/holland.backup.tar
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
popd
install -m 0640 config/providers/tar.conf %{buildroot}%{_sysconfdir}/holland/providers/
%endif

%if %{with commvault}
pushd contrib/holland-commvault
%{__python2} setup.py install -O1 --skip-build --root %{buildroot} --install-scripts %{_sbindir}
install -m 0644 doc/holland_cvmysqlsv.1 %{buildroot}%{_mandir}/man1
popd
%endif

# logrotate
%{__mkdir} -p %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/holland <<EOF
/var/log/holland.log /var/log/holland/holland.log {
    rotate 4
    weekly
    compress
    missingok
    create root adm
}
EOF


%clean
rm -rf %{buildroot}


%files
%doc CHANGES.rst README README.plugins README.providers
%doc INSTALL LICENSE config/backupsets/examples/
%if %{with sphinxdocs}
%doc docs/build/html/
%endif
%{_sbindir}/holland
%dir %{python2_sitelib}/holland/
%{python2_sitelib}/holland/core/
%{python2_sitelib}/holland-%{version}-*-nspkg.pth
%{python2_sitelib}/holland-%{version}-*.egg-info
%{_mandir}/man1/holland.1*
%{_localstatedir}/log/holland/
%{python2_sitelib}/holland/commands/*.py*
%attr(0755,root,root) %dir %{_sysconfdir}/holland/
%attr(0755,root,root) %dir %{_sysconfdir}/holland/backupsets
%attr(0755,root,root) %dir %{_sysconfdir}/holland/providers
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/holland/holland.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/holland
%attr(0755,root,root) %{_localstatedir}/spool/holland
# virtual namespaces
%dir %{python2_sitelib}/holland/backup/
%dir %{python2_sitelib}/holland/restore/
%dir %{python2_sitelib}/holland/commands/
%dir %{python2_sitelib}/holland/lib/

%files common
%doc plugins/holland.lib.common/{README,LICENSE}
%{python2_sitelib}/%{name}/lib/compression.py*
%{python2_sitelib}/%{name}/lib/archive/
%{python2_sitelib}/%{name}/lib/safefilename.py*
%{python2_sitelib}/%{name}/lib/which.py*
%{python2_sitelib}/%{name}/lib/multidict.py*
%{python2_sitelib}/holland.lib.common-%{version}-*-nspkg.pth
%{python2_sitelib}/holland.lib.common-%{version}-*.egg-info

%files mysql
%{python2_sitelib}/%{name}/lib/mysql/
%{python2_sitelib}/holland.lib.mysql-%{version}-*-nspkg.pth
%{python2_sitelib}/holland.lib.mysql-%{version}-*.egg-info

%files mysqldump
%doc plugins/holland.backup.mysqldump/{README,LICENSE}
%{python2_sitelib}/holland/backup/mysqldump/
%{python2_sitelib}/holland.backup.mysqldump-%{version}-*-nspkg.pth
%{python2_sitelib}/holland.backup.mysqldump-%{version}-*.egg-info
%config(noreplace) %{_sysconfdir}/holland/providers/mysqldump.conf

%files lvm
%{python2_sitelib}/%{name}/lib/lvm/
%{python2_sitelib}/holland.lib.lvm-%{version}-*-nspkg.pth
%{python2_sitelib}/holland.lib.lvm-%{version}-*.egg-info

%files mysqllvm
%doc plugins/holland.backup.mysql_lvm/{README,LICENSE}
%{python2_sitelib}/holland/backup/mysql*_lvm/
%{python2_sitelib}/holland.backup.mysql*_lvm-%{version}-*-nspkg.pth
%{python2_sitelib}/holland.backup.mysql*_lvm-%{version}-*.egg-info
%config(noreplace) %{_sysconfdir}/holland/providers/mysql-lvm.conf
%config(noreplace) %{_sysconfdir}/holland/providers/mysqldump-lvm.conf

%if %{with mysqlhotcopy}
%files mysqlhotcopy
%doc plugins/holland.backup.mysqlhotcopy/{README,LICENSE}
%{python2_sitelib}/holland/backup/mysqlhotcopy.py*
%{python2_sitelib}/holland.backup.mysqlhotcopy-%{version}-*-nspkg.pth
%{python2_sitelib}/holland.backup.mysqlhotcopy-%{version}-*.egg-info
%config(noreplace) %{_sysconfdir}/holland/providers/mysqlhotcopy.conf
%{_mandir}/man5/holland-mysqlhotcopy.5*
%endif

%if %{with pgdump}
%files pgdump
%doc plugins/holland.backup.pgdump/{README,LICENSE}
%{python2_sitelib}/holland.backup.pgdump-%{version}-*-nspkg.pth
%{python2_sitelib}/holland.backup.pgdump-%{version}-*.egg-info
%{python2_sitelib}/holland/backup/pgdump/
%config(noreplace) %{_sysconfdir}/holland/providers/pgdump.conf
%endif

%if %{with sqlite}
%files sqlite
%doc plugins/holland.backup.sqlite/{README,LICENSE}
%{python2_sitelib}/holland/backup/sqlite.py*
%{python2_sitelib}/holland.backup.sqlite-%{version}-*-nspkg.pth
%{python2_sitelib}/holland.backup.sqlite-%{version}-*.egg-info
%config(noreplace) %{_sysconfdir}/holland/providers/sqlite.conf
%endif

%if %{with xtrabackup}
%files xtrabackup
%doc plugins/holland.backup.xtrabackup/{README,LICENSE}
%{python2_sitelib}/holland/backup/xtrabackup/
%{python2_sitelib}/holland.backup.xtrabackup-%{version}-*-nspkg.pth
%{python2_sitelib}/holland.backup.xtrabackup-%{version}-*.egg-info
%config(noreplace) %{_sysconfdir}/holland/providers/xtrabackup.conf
%endif

%if %{with tar}
%files tar
%doc plugins/holland.backup.tar/{README,LICENSE}
%{python2_sitelib}/holland/backup/tar.py*
%{python2_sitelib}/holland.backup.tar-%{version}-*-nspkg.pth
%{python2_sitelib}/holland.backup.tar-%{version}-*.egg-info
%config(noreplace) %{_sysconfdir}/holland/providers/tar.conf
%endif

%if %{with commvault}
%files commvault
%doc contrib/holland-commvault/{README,LICENSE}
%{_sbindir}/holland_cvmysqlsv
%{_mandir}/man1/holland_cvmysqlsv.1*
%{python2_sitelib}/holland_commvault*
%endif

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Dec 21 2016 Carl George <carl.george@rackspace.com> - 1.0.14-2
- Remove unneeded holland_version macro
- Remove example, maatkit, and random subpackages
- Move holland.lib.mysql and holland.lib.lvm modules into their own subpackages
- Clean up requirements

* Fri Nov 18 2016 Ben Harper <ben.harper@rackspace.com> - 1.0.14-1
- Latest upstream
- remove Patch0, fixed upstream

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.12-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Apr 22 2016 Carl George <carl.george@rackspace.com> - 1.0.12-6
- Integrate commvault plugin

* Tue Mar 01 2016 Carl George <carl.george@rackspace.com> - 1.0.12-2
- Backport gh#145

* Tue Feb 09 2016 Carl George <carl.george@rackspace.com> - 1.0.12-1
- Latest upstream
- Switch to python2 macros
- Require python-mysql on F22+ (not MySQL-python)
- Update xtrabackup summary/description (see upstream commit 3487d01)
- Drop obsoletes for -random and -lvm
- Require percona-xtrabackup where available (F21+)
- Add tar subpackage, but leave it disabled
- Remove redundant requirements
- Remove redundant provides

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Oct 22 2014 Ben Harper <ben.harper@rackspace.com> - 1.0.10-3
- RH#884890 add requires for /usr/bin/mysqldump
- add mysqldump-lvm.conf

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jul 30 2013 Jeffrey Ness <jeffrey.ness@rackspace.com> - 1.0.10-1
- Latest 1.0 sources from upstream.
- LP#706997 has been addressed upstream

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Oct 18 2012 BJ Dierkes <wdierkes@rackspace.com> - 1.0.6-7
- Fixed -pgdump summary per BZ#847855.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 24 2011 BJ Dierkes <wdierkes@rackspace.com> - 1.0.6-3
- Added Patch0: holland-1.0.6-bug706997.patch which resolves
  LP#706997 purge-policy = before-backup problem

* Thu Jan 13 2011 BJ Dierkes <wdierkes@rackspace.com> - 1.0.6-2
- Remove Requires: xtrabackup from holland-xtrabackup.  Fedora
  doesn't provide xtrabackup currently, however there are solutions
  out there that people may want to use holland-xtrabackup for.

* Wed Jan 12 2011 BJ Dierkes <wdierkes@rackspace.com> - 1.0.6-1
- Latest sources from upstream.  Full change log available at:
  http://hollandbackup.org/releases/stable/1.0/CHANGES.txt
- ChangeLog became CHANGES.txt
- Add pgdump and xtrabackup by default
- No longer package -random by default (shouldn't have been in
  anyway).  Main package Obsoletes: holland-random < 1.0.6

* Tue Dec 14 2010 BJ Dierkes <wdierkes@rackspace.com> - 1.0.5-1
- Development version

* Tue Dec 14 2010 BJ Dierkes <wdierkes@rackspace.com> - 1.0.4-3
- Remove condition check around setting python_site{lib,arch} as
  it is not supported in el4.
- No longer set python_sitearch as we aren't using it

* Tue Nov 02 2010 BJ Dierkes <wdierkes@rackspace.com> - 1.0.4-2
- Make the example plugin optional (do not include by default)

* Tue Oct 26 2010 BJ Dierkes <wdierkes@rackspace.com> - 1.0.4-1
- Latest sources from upstream.
- No longer install /etc/holland/backupsets/examples, only keep it
  in %%doc
- Install config/providers/README to doc README.providers

* Thu Jul 08 2010 BJ Dierkes <wdierkes@rackspace.com> - 1.0.2-2
- Updated Source0 URL
- Updated python_sitelib/python_sitearch (per FPG)
- BuildRequires: python2-devel (per FPG)

* Thu Jul 08 2010 Andrew Garner <andrew.garner@rackspace.com> - 1.0.2-1
- Source updated to 1.0.2

* Tue Jul 06 2010 BJ Dierkes <wdierkes@rackspace.com> - 1.0.0-4
- Source update, 1.0.0 final
- Add ChangeLog back in under %%doc

* Thu Jul 01 2010 Andrew Garner <andrew.garner@rackspace.com> - 1.0.0-3.rc3
- Source updated to rc3

* Mon Jun 28 2010 Andrew Garner <andrew.garner@rackspace.com> - 1.0.0-2.rc2
- Source updated to rc2

* Fri Jun 11 2010 Andrew Garner <andrew.garner@rackspace.com> - 1.0.0-1.rc1
- Repackaging for release candidate
- Using conditional builds to exclude experimental plugins

* Tue Jun 08 2010 Andrew Garner <andrew.garner@rackspace.com> - 0.9.9-12
- Revert directory permissions back to standard 0755

* Sun Jun 06 2010 Andrew Garner <andrew.garner@rackspace.com> - 0.9.9-11
- Updated for changes from LVM cleanup

* Thu Jun 03 2010 Andrew Garner <andrew.garner@rackspace.com> - 0.9.9-10
- Added xtrabackup plugin

* Thu May 27 2010 BJ Dierkes <wdierkes@rackspace.com> - 0.9.9-9
- Move plugins/README to README.plugins and install via %%doc

* Tue May 25 2010 BJ Dierkes <wdierkes@rackspace.com> - 0.9.9-8
- Adding holland.lib.lvm under -common subpackage

* Wed May 19 2010 BJ Dierkes <wdierkes@rackspace.com> - 0.9.9-7
- BuildRequires: python-sphinx (to build docs)

* Mon May 17 2010 BJ Dierkes <wdierkes@rackspace.com> - 0.9.9-6
- Added sqlite plugin
- Loop over plugins rather than explicity build/install each.  Removes
  currently incomplete plugins first (pgdump)

* Fri May 14 2010 Tim Soderstrom <tsoderst@racksapce.com> - 0.9.9-5
- Added random plugin

* Mon May 10 2010 Andrew Garner <andrew.garner@rackspace.com> - 0.9.9-4
- Added missingok to holland.logrotate

* Sat May 8 2010 Andrew Garner <andrew.garner@rackspace.com> - 0.9.9-3
- Cleaned up /usr/share/docs/holland-* to only include html user documentation
  rather than everything in docs/
- /var/spool/holland and /var/log/holland/ are no longer world-readable
- /etc/holland/backupsets/examples is now a symlink to examples in the
  /usr/share/docs/holland-* directory
- The plugins/ACTIVE file is no longer used in order to have more flexibility
  in handling each individual plugin
- The setup.py --record mechanism is no longer used
- holland/{lib,commands,backup,restore} are now owned by the main holland
  package.

* Wed Apr 14 2010 Andrew Garner <andrew.garner@rackspace.com> - 0.9.9-2
- Updated rpm for new tree layout

* Tue Apr 13 2010 BJ Dierkes <wdierkes@rackspace.com> - 0.9.9-1.rs
- Removed -commvault subpackage
- Removed mysql-lvm config file hack
- Changed URL to http://hollandbackup.org
- No longer package plugins as eggs
- Conditionally BuildRequire: python-nose and run nose tests if _with_tests

* Wed Apr 07 2010 BJ Dierkes <wdierkes@rackspace.com> - 0.9.8-2.rs
- Rename holland-lvm to holland-mysqllvm, Obsoletes: holland-lvm
- Manually install mysql-lvm.conf provider config (fixed in 0.9.9)
- Install man files to _mandir
- Make logrotate.d/holland config(noreplace)

* Fri Apr 02 2010 BJ Dierkes <wdierkes@rackspace.com> - 0.9.8-1.rs
- Latest stable source from upstream.

* Wed Dec 09 2009 BJ Dierkes <wdierkes@rackspace.com> - 0.9.7dev-1.rs
- Latest development trunk.
- Adding /etc/logrotate.d/holland logrotate script.

* Wed Dec 09 2009 BJ Dierkes <wdierkes@rackspace.com> - 0.9.6-1.rs
- Latest stable sources from upstream.

* Fri Dec 04 2009 BJ Dierkes <wdierkes@rackspace.com> - 0.9.5dev-1.rs
- Removing mysqlcmds by default
- Adding lvm subpackage

* Thu Oct 08 2009 BJ Dierkes <wdierkes@rackspace.com> - 0.9.4-1.1.rs
- BuildRequires: python-dev
- Rebuilding for Fedora Core

* Tue Sep 15 2009 BJ Dierkes <wdierkes@rackspace.com> - 0.9.4-1.rs
- Latest sources.

* Mon Jul 13 2009 BJ Dierkes <wdierkes@rackspace.com> - 0.9.3-1.rs
- Latest sources.

* Mon Jul 06 2009 BJ Dierkes <wdierkes@rackspace.com> - 0.9.2-1.1.rs
- Rebuild

* Thu Jun 11 2009 BJ Dierkes <wdierkes@rackspace.com> - 0.9.2-1.rs
- Latest sources from upstream.
- Only require epel for el4 (for now), and use PreReq rather than Requires.
- Require 'mysql' rather than 'mysqlclient'

* Wed Jun 03 2009 BJ Dierkes <wdierkes@rackspace.com> - 0.9.1-1.rs
- Latest sources from upstream.
- Requires epel.

* Mon May 18 2009 BJ Dierkes <wdierkes@rackspace.com> - 0.9.0-1.rs
- Latest from upstream
- Adding mysqlcmds package

* Tue May 05 2009 BJ Dierkes <wdierkes@rackspace.com> - 0.4-1.2.rs
- Rebuild from trunk

* Sun May 03 2009 BJ Dierkes <wdierkes@rackspace.com> - 0.4-1.1.rs
- Rebuild from trunk
- Adding commvault addon package.
- Removing Patch2: holland-0.3-config.patch
- Disable backupsets by default

* Sat May 02 2009 BJ Dierkes <wdierkes@rackspace.com> - 0.3.1-1.2.rs
- Build as noarch.

* Wed Apr 29 2009 BJ Dierkes <wdierkes@rackspace.com> - 0.3.1-1.rs
- Latest sources.

* Tue Apr 28 2009 BJ Dierkes <wdierkes@rackspace.com> - 0.3-1.rs
- Latest sources.
- Removed tests for time being
- Added Patch2: holland-0.3-config.patch
- Sub package holland-mysqldump obsoletes holland-mysql = 1.0.  Resolves
  tracker [#1189].

* Fri Apr 17 2009 BJ Dierkes <wdierkes@rackspace.com> - 0.2-2.rs
- Rebuild.

* Wed Mar 11 2009 BJ Dierkes <wdierkes@rackspace.com> - 0.2-1.rs
- Latest sources from upstream.

* Fri Feb 20 2009 BJ Dierkes <wdierkes@rackspace.com> - 0.1.1.rs
- Updated with subpackages/plugins

* Wed Jan 28 2009 BJ Dierkes <wdierkes@rackspace.com> - 0.1-1.rs
- Initial spec build
